package main

import (
	"fmt"
	"icdb/internal/ui"
	"icdb/pkg/config"
	"icdb/pkg/logger"

	"github.com/rs/zerolog/log"
)

func main() {
	cfg := config.Get()
	logger.Setup()

	log.Info().Msg("Application started")
	log.Debug().Msg(fmt.Sprintf("Config loaded: %s", cfg.Settings))

	ui.Init()
}
